debian-setup: install GLib development headers
authorPeter Wu <peter@lekensteyn.nl>
Mon, 22 Oct 2018 12:43:43 +0000 (14:43 +0200)
committerAnders Broman <a.broman58@gmail.com>
Mon, 22 Oct 2018 18:53:32 +0000 (18:53 +0000)
Previously installed as transitive dependency of libgtk2.0-dev.
Installed as transitive dependency of libjson-glib-dev since
v2.9.0rc0-201-g511c2e166a, but this is an optional package.

Change-Id: Id4b8523b2d614d273fdb71e91878d4d1a4518572
Fixes: v2.9.0rc0-310-gf23a934492 ("Don't install autotools or GTK+, but do install CMake.")
Reviewed-on: https://code.wireshark.org/review/30336
Reviewed-by: Anders Broman <a.broman58@gmail.com>
tools/debian-setup.sh

index 10570f71e2b4ef33499a541601672d58261b681d..25050c519b118676dbae1aea55c12ce1b0a22b1b 100755 (executable)
@@ -42,7 +42,8 @@ do
        fi
 done
 
-BASIC_LIST="qttools5-dev \
+BASIC_LIST="libglib2.0-dev \
+       qttools5-dev \
        qttools5-dev-tools \
        libqt5svg5-dev \
        qtmultimedia5-dev \